summaryrefslogtreecommitdiff
path: root/app-crypt/libmd
diff options
context:
space:
mode:
Diffstat (limited to 'app-crypt/libmd')
-rw-r--r--app-crypt/libmd/Manifest2
-rw-r--r--app-crypt/libmd/libmd-1.0.0.ebuild13
-rw-r--r--app-crypt/libmd/libmd-1.0.1.ebuild2
-rw-r--r--app-crypt/libmd/libmd-1.0.3.ebuild (renamed from app-crypt/libmd/libmd-1.0.0-r1.ebuild)14
4 files changed, 8 insertions, 23 deletions
diff --git a/app-crypt/libmd/Manifest b/app-crypt/libmd/Manifest
index cbd59f348c45..37ae0ca00012 100644
--- a/app-crypt/libmd/Manifest
+++ b/app-crypt/libmd/Manifest
@@ -1,2 +1,2 @@
-DIST libmd-1.0.0.tar.xz 254852 BLAKE2B af0d3c645a18262965e708d678cb30c7ed168af8055885b08084fafd7299e9aaea95efb8437ffa756e43c5bb75fac99af067c6a560f3bb2b8b93ee889d5e664b SHA512 54c3cae1308f7686a1f642d25ae5d8cfb0fce2b98b33cf5e2891682893715c7de7e9700c70a6bd7e4ab4cf7f54c87643b259319e09e03f529b70d273477fc8be
DIST libmd-1.0.1.tar.xz 257372 BLAKE2B e954ab6b1247952abcf6964d8d714c2a47a644e206a455db547a0159a97ebbc323cf1258a24c744cea3106f267f1a319a689fe545b672580f4e134d96cc7cb3d SHA512 6f343101f9ad8f927d862e6bae948d35ba596ecfd375c255fefb86efc621cf6e9de3597770ad66e0a48e8f4ea018df78debb571ea6746a7457d8900fec87069b
+DIST libmd-1.0.3.tar.xz 258584 BLAKE2B 35b732800a4b0a7b8d0a88eeff5e7e80fe55ab5ed05b7a7a1ffe866e156cc6dc6daca95f865a56297857b10b1bdfc9815b5bf0b198e8284f217498265c08fcc9 SHA512 f4b5a86bea7b9fac9f7f173032ee436d1e7141f760c1a114a785d31644edbf6802fe8193cc4cf3b5c66d38963be919c05055780bdf6bf5a47927690490ff5966
diff --git a/app-crypt/libmd/libmd-1.0.0.ebuild b/app-crypt/libmd/libmd-1.0.0.ebuild
deleted file mode 100644
index aed0b60e74e8..000000000000
--- a/app-crypt/libmd/libmd-1.0.0.ebuild
+++ /dev/null
@@ -1,13 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Message Digest functions from BSD systems"
-HOMEPAGE="https://www.hadrons.org/software/libmd/"
-SRC_URI="https://archive.hadrons.org/software/libmd/${P}.tar.xz"
-
-LICENSE="|| ( BSD BSD-2 ISC BEER-WARE public-domain )"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE=""
diff --git a/app-crypt/libmd/libmd-1.0.1.ebuild b/app-crypt/libmd/libmd-1.0.1.ebuild
index 0081b4d97e23..0966fdfe7510 100644
--- a/app-crypt/libmd/libmd-1.0.1.ebuild
+++ b/app-crypt/libmd/libmd-1.0.1.ebuild
@@ -10,7 +10,7 @@ SRC_URI="https://archive.hadrons.org/software/libmd/${P}.tar.xz"
LICENSE="|| ( BSD BSD-2 ISC BEER-WARE public-domain )"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
IUSE="static-libs"
src_configure() {
diff --git a/app-crypt/libmd/libmd-1.0.0-r1.ebuild b/app-crypt/libmd/libmd-1.0.3.ebuild
index d27a6c00ff63..55fdb75b7caf 100644
--- a/app-crypt/libmd/libmd-1.0.0-r1.ebuild
+++ b/app-crypt/libmd/libmd-1.0.3.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
+
inherit multilib
DESCRIPTION="Message Digest functions from BSD systems"
@@ -10,17 +11,14 @@ SRC_URI="https://archive.hadrons.org/software/libmd/${P}.tar.xz"
LICENSE="|| ( BSD BSD-2 ISC BEER-WARE public-domain )"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="static-libs"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
src_configure() {
- econf $(use_enable static-libs static)
+ econf --disable-static
}
src_install() {
default
- if ! use static-libs; then
- rm "${D}"/usr/$(get_libdir)/libmd.la || die
- fi
+ rm "${ED}"/usr/$(get_libdir)/libmd.la || die
}